#!/bin/sh

usage() {
    echo "error: missing input, query file"
    echo "usage: $0 file.xml"
}

FILE="$1"
RESULTS="$FILE".results
QUERIES="$FILE".queries

if test ! -f "$FILE" -o ! -f "$QUERIES"
then
   usage;
   exit 1
fi


mkdir -p "$RESULTS"

cat "$QUERIES" | grep -v '^#' | while read qname q
do
    echo "Computing $q"
    java -cp tools XPathEval "$FILE" "$q" > "$RESULTS"/"$qname"_jaxp.xml 2> "$RESULTS"/"$qname"_jaxp.log
done
